# Session 1: Molecules, solvation and bulk metals

## Goals

1. Familiarity with basic use of the JDFTx code
2. Periodic (solid) and non-periodic (molecule) DFT calculations
3. Analyze differences between total energies from these calculations
4. Visualize structure, electron density and liquid response

## Workflow for each tutorial exercise

1. Navigate into each exercise folder (in the file browser)
2. Open `README.md` within that folder to view exercise instructions
3. Look through input file `in`, following the overview in `README.md`
4. Using the launcher, open a terminal in the same folder (use `cd` if necessary to match the path)
5. Run a DFT calculation within an interactive session initiated using `beast-interactive` on the terminal
6. Follow analysis instructions eg. comparisons of total energies
7. Open and execute the code in `Visualize.ipynb` to examine structures, densities etc.

## Workflow for solvated DFT

1. Start with vacuum calculation
2. Run neutral solvated calculation from vacuum starting point
3. Run charged/biased solvated calculations from neutral solvated starting point

JDFTx can also do this automatically, so if you run a solvated calculation directly,
it will automatically run a vacuum calculation first.
We will use this approach for simplicity and break the three steps of
the biased + solvated workflow above into three separate and independent exercises.

## Exercises

We will start with a sequence of calculations for molecules and bulk materials,
starting from very simple input files and gradually adding complexity.
Specifically, in this session, we will calculate:

1. An isolated water molecule in vacuum
2. A water molecule solvated in water
3. A hydronium ion solvated in water
4. A unit cell of bulk platinum

These will set us up for the surface calculations in the next session.
Switch to the first folder `1_H2O_vac` to get started with running our first calculation!
