# Session 2: Pt surfaces, solvation and H adsorption.

## Goals

1. Calculations of partially-periodic (surface) DFT calculations
2. Calculations of electrochemical interfaces using implicit (CANDLE) electrolyte models
3. Calculations of biased interfaces using grand-canonical DFT (GC-DFT)
4. Analyze solvation and adsorption energies at surfaces
5. Visualize structure and liquid response at interfaces

## Workflow for each tutorial exercise (same as Session 1)

1. Navigate into each exercise folder (in the file browser)
2. Open `README.md` within that folder to view exercise instructions
3. Look through input file `in`, following the overview in `README.md`
4. Using the launcher, open a terminal in the same folder (use `cd` if necessary to match the path)
5. Run a DFT calculation within an interactive session initiated using `beast-interactive` on the terminal
6. Follow analysis instructions eg. comparisons of total energies
7. Open and execute the code in `Visualize.ipynb` to examine structures, densities etc.

## Workflow for solvated DFT  (same as Session 1)

1. Start with vacuum calculation
2. Run neutral solvated calculation from vacuum starting point
3. Run charged/biased solvated calculations from neutral solvated starting point

JDFTx can also do this automatically, so if you run a solvated calculation directly,
it will automatically run a vacuum calculation first.
We will use this approach for simplicity and break the three steps of
the biased + solvated workflow above into three separate and independent exercises.

## Exercises

This session will include 4 total calculations:
  1. Pt surface with no solvent or applied bias
  2. Pt surface with implicit H2O solvent and no applied bias
  3. Pt surface with implicit H2O solvent at 0.0V (vs SHE) applied bias
  4. Pt surface with adsorbed *H, in H2O solvent at 0.0V applied bias

Each session includes a README.md file that will direct you through the steps
to run each calculation and analyze the created files.

    By the end of this session, we will identify the adsorption energy of *H on Pt. 

Please navigate to the next calculation in the sequence! 