# 2. Solvated Pt surface with adsorbed CO at 0V SHE bias

We will use exactly the same `inputs` as the previous example,
just with a different `POSCAR` that captures the new structure with an extra CO.


## Run the calculation

As before, launch the calculation with:

    sub_JDFTx.py -o Pt-CO -test True -g True

which will write outputs to files prefixed by `Pt-CO` and use GPUs in the test queue.

Notice that the `out` file contains several entire JDFTx runs for each ionic step,
each with only a single IonicMinimize step, because geometry optimization is now handled by ASE.


## Analysis
  
The adsorption grand-free energy of CO at Pt top sites at 0V can be calculated using:

    Gads = G(Pt+CO) - G(Pt) - G(CO)

    G(Pt)    = -7038.994 eV (previous exercise)
    G(Pt+CO) = -7585.169 eV (this exercise)
    G(CO)    =  -545.112 eV  (calculated separately)
    
    Gads = -7585.169 - (-7038.994) - (-545.112)
         = -1.06 eV
    
Therefore, CO adsorption on Pt is highly exothermic at 0 V based on our calculations.


## Visualization

Open `Visualize.ipynb` to compare the starting and converged structures of CO on Pt.
