# Session 4: High-Throughput JDFTx/ASE and GC-NEB

## Goals

1. Learn how the python script sub_JDFTx.py works
2. Use sub_JDFTx.py to run surface and adsorbate calculations
3. Learn how to interpret the output files from sub_JDFTx.py
4. Use sub_JDFTx.py to run a GC-NEB calculation
5. Analyze the output files of a GC-NEB calculation

## Workflow for each tutorial exercise

1. Navigate into each exercise folder (in the file browser)
2. Open `README.md` within that folder to view exercise instructions
3. Look through input file `inputs`, following the overview in `README.md`
4. Using the launcher, open a terminal in the same folder (use `cd` if necessary to match the path)
5. Run calculations using the commands in `README.md`
   (This session submits jobs to the queue and does not need an interactive session using `beast-interactive`) 
6. Follow analysis instructions eg. comparisons of total energies, structure visualization, etc. 

## Exercises

This session will include 3 total calculations:
  1. Pt surface with implicit H2O solvent at 0.0V (vs SHE) applied bias (same as Day 1 Session 2)
  2. Pt surface with *CO at 0.0V
  3. GC-NEB of H3O+ pyramidal inversion

Each session includes a README.md file that will direct you through the steps
to run each calculation and analyze the created files.

    By the end of the session, you will learn to run JDFTx and GC-NEB with Python

Please navigate to the next calculation in the sequence! 